Description

Hi all,

Even if I named the short summary as "Enhancement", some changes to the qgm GRASS modules I'm proposing here are in fact major

priorities, since many modules don't work as expected/needed.

A brief summary of the previous job, already posted to the list:

New/modified/renamed modules introduced in the previous job:

- g.region.save

- g.region.zoom

- g.region.multiple.raster

- g.region.multiple.vector

- r.patch

- v.patch

- r.proj

- r.proj.res

- v.in.db

- v.in.ogr

- v.in.ogr.loc

- v.in.ogr.all

- v.in.ogr.all.loc

- v.in.shape

- v.in.shape.loc

for more details on the changes listed above, see: http://lists.osgeo.org/pipermail/qgis-developer/2008-May/003797.html
News in the current job:

I modified descriptions of some g.proj modules (IMHO not correctly reflecting the real job of the modules) and added the g.proj.ascii

module for coherency:

Module - New description

- g.proj.print - Print projection information of the current location

- g.proj.geo - Print projection information from a georeferenced file (raster, vector or image)

- g.proj.ascii - Print projection information from a georeferenced ASCII file containing a WKT projection description

- g.proj.proj - Print projection information from a PROJ.4 projection description file

- g.proj.geo.new - Print projection information from a georeferenced file (raster, vector or image) and create a new location based on it

- g.proj.ascii.new - Print projection information from a georeferenced ASCII file containing a WKT projection description and create a new

location based on it

- g.proj.proj.new - Print projection information from a PROJ.4 projection description file and create a new location based on it

Then I found that the g.proj.region is not included in the default.qgc configuration file, and that it is actually an useless module

As usual, all the changes have been tested on the svn 0.10.0 release code.

Summarizing, I suggest to test as follows:

1. remove g.proj.region (.qgm + .1.png) [not included in ./config/default.qgc and actually useless]

2. remove g.region (.qgm + .1.png) [replaced by g.proj.save]

3. remove g.proj.print.2.png [according to the new ./config/default.qgc layout, where I normalized the tree]

4. add the new modules (extract the zip to ../src/plugins/grass/modules and modify the ./config/default.qgc patching the svn qgis-trunk diff

attached]

run cmakesetup .. to apply the changes in default.qgc, then build

Best regards,

Marco

Associated revisions

Revision 3cc0aa82 - 2008-07-17 01:01 AM - Jürgen Fischer

apply GRASS plugin update from Marco Pasetti (fixes #1101)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8798 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 160d3da2 - 2008-07-17 01:01 AM - Jürgen Fischer
apply GRASS plugin update from Marco Pasetti (fixes #1101)

git-svn-id: http://svn.osgeo.org/qgis/trunk@8798 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-05-21 01:53 AM - Marco Pasetti -

Since the files are too big to be attached, I uploaded them to my personal web area:

http://www.webalice.it/marco.pasetti/qgis/grass-toolbox-new-files.zip

http://www.webalice.it/marco.pasetti/qgis/default.qgc.svn.diff

Marco

#2 - 2008-07-14 04:01 PM - Tim Sutton

Hi Marco

What is the status of these changes? Do they need to be applied still and are the patches still valid? Leonardo could you evaluate these changes?

#3 - 2008-07-15 05:26 AM - Marco Pasetti -

Replying to [comment:2 timlinux]:

Hi Marco

What is the status of these changes? Do they need to be applied still and are the patches still valid? Leonardo could you evaluate these changes?

Hi Tim,

I need to check out that, I still not finished to build all. I'll let you know.

Marco

#4 - 2008-07-16 07:08 AM - Marco Pasetti -

Replying to [comment:2 timlinux]:

Hi Marco

What is the status of these changes? Do they need to be applied still and are the patches still valid? Leonardo could you evaluate these changes?

It seems that the changes have been not backported to 0.11.0 as they should have been.

I need to retrieve the discussion with Leo of some weeks (months?) ago about what to keep or not.

Leo, could you help me with that?
Marco

#5 - 2008-07-16 08:14 AM - Marco Pasetti -

Replying to [comment:2 timlinux]:

Hi Marco

What is the status of these changes? Do they need to be applied still and are the patches still valid? Leonardo could you evaluate these changes?

Tim,

OK. Now I got the point. The changes still need to be applied, and they are very important... but I need svn access to do that.

Maybe jef or you could do the job for me?

Marco

#6 - 2008-07-16 04:01 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

fixed commit:160d3da2 (SVN r8799)

#7 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
